at.chipkarte.client.elgaad.soap

## Class MedikationslisteAbfrufenErgebnis

- Object
- - at.chipkarte.client.elgaad.soap.MedikationslisteAbfrufenErgebnis

-     public class MedikationslisteAbfrufenErgebnis
      extends Object

  Ergebnis der Funktion `medikationslisteAbrufen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedikationslisteAbfrufenErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Abgabe[]` | `getAbgaben()` Liste von Abgaben.
    `BackendMeldung[]` | `getBackendMeldungList()` Meldungen aus dem Backend.
    `Metadaten` | `getMetadaten()` Metadaten der Medikationsliste.
    `Verordnung[]` | `getVerordnungen()` Liste von Verordnungen.
    `void` | `setAbgaben(Abgabe[] abgaben)`
    `void` | `setBackendMeldungList(BackendMeldung[] backendMeldungList)`
    `void` | `setMetadaten(Metadaten metadaten)`
    `void` | `setVerordnungen(Verordnung[] verordnungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedikationslisteAbfrufenErgebnis

          public MedikationslisteAbfrufenErgebnis()

  - ### Method Detail

    - #### getMetadaten

          public Metadaten getMetadaten()

      Metadaten der Medikationsliste. Siehe `Metadaten`.
      Angabe: Kann. Nicht befüllt, wenn in den Eingangsdaten bereits die DokumentId der Medikationsliste vorhanden war.
      Returns:
        Metadaten.

    - #### setMetadaten

          public void setMetadaten(Metadaten metadaten)

    - #### getBackendMeldungList

          public BackendMeldung[] getBackendMeldungList()

      Meldungen aus dem Backend. Siehe `BackendMeldung`.
      Angabe: Kann.
      Returns:
        Liste von Backendmeldungen.

    - #### setBackendMeldungList

          public void setBackendMeldungList(BackendMeldung[] backendMeldungList)

    - #### getAbgaben

          public Abgabe[] getAbgaben()

      Liste von Abgaben. Siehe `Abgabe`.
      Angabe: Kann.
      Returns:
        Liste von Abgaben

    - #### setAbgaben

          public void setAbgaben(Abgabe[] abgaben)

    - #### getVerordnungen

          public Verordnung[] getVerordnungen()

      Liste von Verordnungen. Siehe `Verordnung`.
      Angabe: Kann.
      Returns:
        Liste von Verordnungen

    - #### setVerordnungen

          public void setVerordnungen(Verordnung[] verordnungen)